;**************************************************************
;***    XMS04.ASM                                           ***
;***                                                        ***
;***    function        XMS_Xms.globDisabA20                ***
;***                        : Boolean                       ***
;***                                                        ***
;***    Disables the A20 address line.                      ***
;***                                                        ***
;**************************************************************

        .model  large,pascal 

        include xmsdefs.asm 

        extrn   errno:WORD  
        extrn   xmsHandler:DWord

;
;   Define entry point
;
        public  XMS_Xms@globDisabA20

        .code

XMS_Xms@globDisabA20    proc    self:DWord

        mov     ah,XMSGlobDisabA20  ; Function code
        call    xmsHandler          ; call the guy

        or      ax,ax               ; AX=0 means error
        jz      errorReturn

        mov     ax,XMSErrOK         ; No error
        ret

errorReturn:
        mov     al,bl               ; Move error code to AL
        xor     ah,ah               ; Zero extend to 16 bits
        mov     errno,ax            ; Copy to errno
        ret

XMS_Xms@globDisabA20    endp        ; end of procedure

        end


